classification
Title: Document range of atan, acos and asin
Type: Stage: resolved
Components: Documentation Versions: Python 3.8, Python 3.7, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: docs@python Nosy List: docs@python, mark.dickinson, potomak
Priority: normal Keywords: easy, patch

Created on 2019-07-10 12:32 by mark.dickinson, last changed 2019-07-13 14:02 by mark.dickinson. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 14717 merged potomak, 2019-07-12 03:12
Messages (4)
msg347620 - (view) Author: Mark Dickinson (mark.dickinson) * (Python committer) Date: 2019-07-10 12:32
A small nice-to-have: it would be good to document the range of the inverse trigonometric functions `math.atan`, `math.asin` and `math.acos`, in both the docstrings and the built documentation.

There are standard "principal values" for each of these inverses, and Python is using these standard values, but that may not be obvious to a user.
msg347720 - (view) Author: Giovanni Cappellotto (potomak) * Date: 2019-07-12 03:17
I created a small diff to update the documentation of `math.atan`, `math.asin` and `math.acos`.
msg347822 - (view) Author: Mark Dickinson (mark.dickinson) * (Python committer) Date: 2019-07-13 13:59
New changeset dc3f99fa77f415077c20a9c2b3e953e5cd894076 by Mark Dickinson (Giovanni Cappellotto) in branch 'master':
bpo-37548: Document range of atan, acos and asin (GH-14717)
https://github.com/python/cpython/commit/dc3f99fa77f415077c20a9c2b3e953e5cd894076
msg347823 - (view) Author: Mark Dickinson (mark.dickinson) * (Python committer) Date: 2019-07-13 14:02
Done for 3.9; closing. Thank you for the contribution!
History
Date User Action Args
2019-07-13 14:02:58mark.dickinsonsetstatus: open -> closed
resolution: fixed
messages: + msg347823

stage: patch review -> resolved
2019-07-13 13:59:58mark.dickinsonsetmessages: + msg347822
2019-07-12 03:17:16potomaksetnosy: + potomak
messages: + msg347720
2019-07-12 03:12:32potomaksetkeywords: + patch
stage: patch review
pull_requests: + pull_request14517
2019-07-10 17:30:10mark.dickinsonsetkeywords: + easy
2019-07-10 12:32:52mark.dickinsoncreate